# SourcePath: gawk/20070302dev
Summary: GNU awk, a pattern scanning and processing language
Name: sony-target-dev-gawk
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gawk
Version: 3.1.5
Release: 08020202
URL: http://www.gnu.org/software/gawk
Source: gawk-%{version}.tar.bz2
Patch1:gawk-io-fix.patch
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%define _bindir		%{sony_target_dir}%{sony_target_dev_bin_dir}
%define _libdir		%{sony_target_dir}%{sony_target_dev_lib_dir}
%define _mandir		%{sony_target_dir}%{sony_target_dev_man_dir}
%define _infodir	%{sony_target_dir}%{sony_target_dev_info_dir}
%define _datadir	%{sony_target_dir}%{sony_target_dev_exec_prefix}
%define _docdir		%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
`awk', a program that you can use to select particular records in a
file and perform operations upon them.

Gawk is the GNU Project's implementation of the AWK programming language.
It conforms to the definition of the language in the POSIX 1003.2 Command
Language And Utilities Standard. This version in turn is based on the
description in The AWK Programming Language, by Aho, Kernighan, and
Weinberger, with the additional features defined in the System V Release
4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
extensions, and some GNU-specific extensions.


%package -n %{pkgname}
Summary: GNU awk, a pattern scanning and processing language
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
`awk', a program that you can use to select particular records in a
file and perform operations upon them.

Gawk is the GNU Project's implementation of the AWK programming language.
It conforms to the definition of the language in the POSIX 1003.2 Command
Language And Utilities Standard. This version in turn is based on the
description in The AWK Programming Language, by Aho, Kernighan, and
Weinberger, with the additional features defined in the System V Release
4 version of UNIX awk. Gawk also provides more recent Bell Labs awk
extensions, and some GNU-specific extensions.


%prep
# %target_check
%setup -q -n gawk-%{version}
%patch1 -p0

%build
%sony_target_dev_setup
export ac_cv_func_getpgrp_void='yes'
%sony_target_dev_configure --libexecdir=%{sony_target_dev_lib_dir} --datadir=%{sony_target_dev_exec_prefix}
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
ln -s ../usr/bin/gawk %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/awk

rm -rf %{buildroot}%{_infodir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

# Remove uninstalled symbolic link
# (Really unnecesary ?? )
rm -rf %{buildroot}%{_bindir}/awk

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/bin/awk
%{_bindir}/gawk
%{_bindir}/gawk-3.1.5
%{_bindir}/igawk
%{_bindir}/pgawk
%{_bindir}/pgawk-3.1.5
%{_libdir}/awk/*
%{_datadir}/awk/*
### %{_mandir}/man*/*
### %{_infodir}/*

%changelog
* Tue Feb 03 2015 Sony Corporation
- Merging changes from CE Linux 8.2.1.X.

* Thu Jul 09 2009 Sony Corporation
- Delete symbolic link to /bin/awk

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x 

* Thu Sep 13 2007 Sony Corporation
- Remove uninstalled symbolic link

* Fri Mar 02 2007 Sony Corporation
- Version update to 3.1.5

* Fri Apr 28 2005 Sony Corporation
- fix command path

* Tue Nov 11 2004 Sony Corporation
- add Distribution,Vendor,Packager

* Tue Nov 10 2004 Sony Corporation
- change  Name: gawk -> Name: sony-target-dev-gawk

* Thu Nov 02 2004 Sony Corporation - dev-gawk
- Initial build.
